KDE 4.9 PyKDE API Reference

- KDE's Python API

# StorageDrive Class Reference

`from PyKDE4.solid import *`

Inherits: Solid.DeviceInterface → QObject
Subclasses: Solid.OpticalDrive
Namespace: Solid

## Detailed Description

This device interface is available on storage devices.

A storage is anything that can contain a set of volumes (card reader, hard disk, cdrom drive...). It's a particular kind of block device.

## Enumerations

Bus | { Ide, Usb, Ieee1394, Scsi, Sata, Platform }
DriveType | { HardDisk, CdromDrive, Floppy, Tape, CompactFlash, MemoryStick, SmartMedia, SdMmc, Xd }

## Methods

| __init__ (self, QObject backendObject)
Solid.StorageDrive.Bus | bus (self)
Solid.StorageDrive.DriveType | driveType (self)
bool | isHotpluggable (self)
bool | isInUse (self)
bool | isRemovable (self)
long | size (self)

## Static Methods

Solid.DeviceInterface.Type | deviceInterfaceType ()

## Method Documentation

__init__ | ( | self, |
|  | QObject | backendObject
| ) |  |  |

Creates a new StorageDrive object. You generally won't need this. It's created when necessary using Device.as().

Parameters:

  | backendObject | the device interface object provided by the backend

See also:
  Solid.Device.as()

Solid.StorageDrive.Bus bus | ( |  | self ) |

Retrieves the type of physical interface this storage device is connected to.

Returns:
  the bus type

See also:
  Solid.StorageDrive.Bus

Solid.StorageDrive.DriveType driveType | ( |  | self ) |

Retrieves the type of this storage drive.

Returns:
  the drive type

See also:
  Solid.StorageDrive.DriveType

bool isHotpluggable | ( |  | self ) |

Indicates if this storage device can be plugged or unplugged while the computer is running.

Returns:
  true if this storage supports hotplug, false otherwise

bool isInUse | ( |  | self ) |

Indicates if the storage device is currently in use i.e. if at least one child storage access is mounted

Returns:
  true if at least one child storage access is mounted

bool isRemovable | ( |  | self ) |

Indicates if the media contained by this drive can be removed.

For example memory card can be removed from the drive by the user, while partitions can't be removed from hard disks.

Returns:
  true if media can be removed, false otherwise.

long size | ( |  | self ) |

Retrieves this drives size in bytes.

Returns:
  the size of this drive

## Static Method Documentation

Solid.DeviceInterface.Type deviceInterfaceType | ( |  | ) |

Get the Solid.DeviceInterface.Type of the StorageDrive device interface.

Returns:
  the StorageDrive device interface type

See also:
  Solid.DeviceInterface.Type

## Enumeration Documentation

Bus

This enum type defines the type of bus a storage device is attached to.

- Ide : An Integrated Drive Electronics (IDE) bus, also known as ATA - Usb : An Universal Serial Bus (USB) - Ieee1394 : An Ieee1394 bus, also known as Firewire - Scsi : A Small Computer System Interface bus - Sata : A Serial Advanced Technology Attachment (SATA) bus - Platform : A legacy bus that is part of the underlying platform

Enumerator:

  Ide |
  Usb |
  Ieee1394 |
  Scsi |
  Sata |
  Platform |

DriveType

This enum type defines the type of drive a storage device can be.

- HardDisk : A hard disk - CdromDrive : An optical drive - Floppy : A floppy disk drive - Tape : A tape drive - CompactFlash : A Compact Flash card reader - MemoryStick : A Memory Stick card reader - SmartMedia : A Smart Media card reader - SdMmc : A SecureDigital/MultiMediaCard card reader - Xd : A xD card reader

Enumerator:

  HardDisk |
  CdromDrive |
  Floppy |
  Tape |
  CompactFlash |
  MemoryStick |
  SmartMedia |
  SdMmc |
  Xd |